examples.jmdp

## Class TandemEvent

- java.lang.Object
- - jmarkov.basic.Event
  - - examples.jmdp.TandemEvent

- All Implemented Interfaces:
    java.lang.Comparable<Event>, JMarkovElement

      public class TandemEvent
      extends Event

  This class represents an event in a tandem queuing system it is used by the Access Control examples
  Author:
    Daniel Silva

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TandemEvent.TEvent`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TandemEvent(TandemEvent.TEvent e)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(Event e1)` Returns positive if this Event has a higher number then the given event.
    `java.lang.String` | `description()` It is highly recommended that the user overrides it to give a description to be used when reporting the occurrance rates of the events, and GUI.
    `TandemEvent.TEvent` | `get()`
    `java.lang.String` | `label()` If this function is not overriden by the user it returns the Event number.

    - ### Methods inherited from class jmarkov.basic.Event

      `equals, getIndex, getSet, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TandemEvent

          public TandemEvent(TandemEvent.TEvent e)

      Parameters:
        `e` - An event of the types listed

  - ### Method Detail

    - #### get

          public TandemEvent.TEvent get()

      Returns:
        An event of the types listed

    - #### label

          public java.lang.String label()

      Description copied from class: `Event`
      If this function is not overriden by the user it returns the Event number. The user should override to give a short label description of the Event. It is highly recommended that the user overrides it to give a more descriptive label to be used when reporting the occurrance rates of the events.
      Specified by:
        `label` in interface `JMarkovElement`
      Overrides:
        `label` in class `Event`
      Returns:
        A short string description of the Event.
      See Also:
        `Event.description()`

    - #### description

          public java.lang.String description()

      Description copied from class: `Event`
      It is highly recommended that the user overrides it to give a description to be used when reporting the occurrance rates of the events, and GUI.
      Specified by:
        `description` in interface `JMarkovElement`
      Overrides:
        `description` in class `Event`
      Returns:
        a String description
      See Also:
        `Event.label()`

    - #### compareTo

          public int compareTo(Event e1)

      Description copied from class: `Event`
      Returns positive if this Event has a higher number then the given event.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<Event>`
      Overrides:
        `compareTo` in class `Event`
      See Also:
        `Comparable.compareTo(Object)`